Ubuntu

"Role-Playing" string is not translatable

Reported by David Planella on 2011-10-12
22
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu Translations
Undecided
Unassigned
software-center (Ubuntu)
Low
Michael Vogt
Precise
Undecided
Unassigned

Bug Description

SRU TEST CASE:
1. If you don't already have it installed, install the French language pack.
2. In a terminal, launch the current Ubuntu Software Center in Precise to use French as shown:

    $ LANGUAGE=fr_FR.utf8 software-center

3. Navigate to the "Graphisme" category.
4. Look for the tile for "GIMP Image Editor" and note that it includes the untranslated word "Painting".
5. Close Ubuntu Software Center.
6. Update to the version of software-center in precise-proposed.
7. Launch Ubuntu Software Center in French again and navigate to the "Graphisme" category.
8. Verify that the category in the tile for "GIMP Image Editor" is now properly displayed in French.

SRU REGRESSION POTENTIAL:
Regression risk is negligible as this is a simple i18n fix.

---

I've just noticed that the "Role-Playing" string shown in the category of games such as Monster RPG 2 appears always in English. This string is not exposed for translation in Launchpad (the "Role Playing" -without dash- is there, though, but does not seem to be used).

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: software-center 5.0.1.4
ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4
Uname: Linux 3.0.0-11-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 1.23-0ubuntu3
Architecture: amd64
Date: Wed Oct 12 11:44:37 2011
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=ca_ES:en
 PATH=(custom, no user)
 LANG=ca_ES.UTF-8
 LC_MESSAGES=ca_ES.UTF-8
 SHELL=/bin/bash
SourcePackage: software-center
UpgradeStatus: Upgraded to oneiric on 2011-09-06 (36 days ago)

David Planella (dpm) wrote :
Robert Roth (evfool) wrote :

That seems to come from the control file of the package, as the string does not appear in software-center at all.

Changed in ubuntu-translations:
status: New → Confirmed
Robert Roth (evfool) on 2011-10-17
Changed in software-center (Ubuntu):
status: New → Confirmed
Gabor Kelemen (kelemeng) wrote :

Could you attach a screenshot? It looks to be okay for me.

Robert Roth (evfool) wrote :

As the reporter has mentioned, the problem is not with the subcategory name, but with the category displayed below the game tile on the main screen, as Role-playing is displayed there instead of Role playing (note the separating character: '-' vs ' '). See the screenshot showing the Role-Playing string (although untranslated, but it should give you an idea where you can see the untranslated string)

David Planella (dpm) wrote :

Here's the screenshot. The untranslated string appears on the main page.

I've just noticed that the "Painting" string in GIMP also appears untranslated. It might be part of the same problem.

Changed in software-center (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Low
Changed in software-center (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Michael Vogt (mvo)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.3.0

---------------
software-center (5.3.0) quantal; urgency=low

  [ Robert Roth ]
  * lp:~evfool/software-center/lp872760:
    - Updated the category name for the RasterGraphics subcategory
      from Painting & Editing to Painting (LP: #872760)
  * lp:~evfool/software-center/lp927426:
    - Changed the reference to store to Software Center, as requested in
      bug LP: #927426
  * lp:~evfool/software-center/specs-update:
    - Moved the recommended applications section after the package details
    - Moved the addon status bar after the addons list
    - Aligned the star ratings widget vertically with the titles
    - Added some vertical padding before the star ratings widget to look
       bette
  * lp:~evfool/software-center/history-enhancements:
    - display text-sized icons in history, not double-sized ones
    - use padding between the icon and the package name
    - right-align the time of the history action
    - display the action +time (installed/updated/removed) if the
      filter is all changes, otherwise only display the time
    - removed markup from the translatable string, to avoid translation
      mistakes with markup

  [ Sebastian Heinlein ]
  * lp:~glatzor/software-center/remove-workaround-747172:
    - remove old workaround that should be no longer needed (LP: #747172)

  [ Robert Ancell ]
  * lp:~robert-ancell/software-center/no-lpi:
    - Drop Launchpad integration

  [ Michael Vogt ]
  * lp:~mvo/software-center/piston-generic-helper-offline-mode:
    - add support for offline mode to the generic helper just like
      for piston_get_reviews_helper.py
 -- Michael Vogt <email address hidden> Fri, 01 Jun 2012 19:54:38 +0200

Changed in software-center (Ubuntu):
status: In Progress → Fix Released
Gabor Kelemen (kelemeng) on 2012-06-02
Changed in ubuntu-translations:
status: Confirmed → Fix Released
description: updated

Hello David, or anyone else affected,

Accepted software-center into precise-proposed. The package will build now and be available in a few hours. Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users. If this package fixes the bug for you please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case details of your testing will help us make a better decision. Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in software-center (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
Gary Lasker (gary-lasker) wrote :

I have verified that software-center version 5.2.3 in precise-proposed fixes this bug per the test case given in the description.

Thanks!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.2.3

---------------
software-center (5.2.3) precise-proposed; urgency=low

  [ Robert Roth ]
  * lp:~evfool/software-center/lp987801:
    - Only show the version label once for each version in
      reviews (LP: #987801)
  * lp:~evfool/software-center/lp874430:
    - display tooltips for package titles in the application
      tiles of the lobby view (LP: #874430)
  * lp:~evfool/software-center/lp983831:
    - Avoid merging two words while normalizing description (LP: #983831)
  * lp:~evfool/software-center/lp822625:
    - Set default value for reviewstats histogram (LP: #822625)
  * lp:~evfool/software-center/lp875874:
    - Set word wrap with fallback to char wrapping for the review
      text label (LP: #875874)

  [ Gabor Kelemen ]
  * lp:~kelemeng/software-center/bug1001746:
    - merge i18n fix (LP: #1001746)

  [ Michael Vogt ]
  * lp:~mvo/software-center/lp872760-for-5.2:
    - fix translations for certain category names (LP: #872760)
  * lp:~mvo/software-center/lp987321:
    - fix dependency to ensure that we have humanity-icon-theme
      as we need it for the history view icons (LP: #987321)
  * lp:~mvo/software-center/test-catview-cleanup:
    - refactor unit tests for the catview
  * lp:~mvo/software-center/lp1002271:
    - fix regresion in 5.2.2 (LP: #1002271) for empty descriptions
  * lp:~mvo/software-center/lp1005104:
    - fix regression in 5.2.2 (LP: #1005104) in initial navigation
      history
  * lp:~mvo/software-center/client-lp1004417:
    - client side fix for when exhibit package names contain
      extra whitespace (LP: #1004417)

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/fix-crash-lp1000238:
    - remove obsolete workaround for an old bug that has long since
      been fixed, this fixes a hard crash on Quantal (LP: #1000238)
  * lp:~gary-lasker/software-center/toolbar-buttons-insensitive-during-startup:
    - re-enable the fix for LP: #999486, LP: #994341 that was inadvertently
      disabled in the 5.2.2 release

  [ Natalia Bidart ]
  * lp:~nataliabidart/software-center/fix-977931:
    - Unified package string parsing into a single method that will be
      used from either the command line arguments, or from the dbus method
      'bringToFront'. This way, search will be consistent between all
      entry points. LP: #977931
    - Also added proper test suites for the above.
  * lp:~nataliabidart/software-center/fix-965093:
    - Fixed the SpinnerNtebook show_spinner method so the spinner page is
      not shown until the configured threshold is reached (250ms since
      this branch). Plus proper test suite was added.
  * lp:~nataliabidart/software-center/fix-986563:
    - Filtered out those exhibits that do not their packages available
      in the db (LP: #986563)
 -- Michael Vogt <email address hidden> Mon, 04 Jun 2012 08:53:25 +0200

Changed in software-center (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers